# class Sass::Script::Value::ArgList

A SassScript object representing a variable argument list. This works just like a normal list, but can also contain keyword arguments.

The keyword arguments attached to this list are unused except when this is passed as a glob argument to a function or mixin.

### Attributes

keywords_accessed[RW]

Whether {#keywords} has been accessed. If so, we assume that all keywords were valid for the function that created this ArgList.

@return [Boolean]

### Public Class Methods

new(value, keywords, separator) click to toggle source

Creates a new argument list.

@param value [Array<Value>] See {List#value}. @param keywords [Hash<String, Value>, NormalizedMap<Value>] See {#keywords} @param separator [String] See {List#separator}.

Calls superclass method

    # File lib/sass/script/value/arg_list.rb, line 19
    def initialize(value, keywords, separator)
      super(value, separator: separator)
      if keywords.is_a?(Sass::Util::NormalizedMap)
        @keywords = keywords
      else
        @keywords = Sass::Util::NormalizedMap.new(keywords)
      end
    end

### Public Instance Methods

keywords() click to toggle source

The keyword arguments attached to this list.

@return [NormalizedMap<Value>]

    # File lib/sass/script/value/arg_list.rb, line 31
    def keywords
      @keywords_accessed = true
      @keywords
    end